# GlueData: un outil d'analyse de data

![tag](python)
![category](developpement)

Il existe un logiciel free qui permet d'analyser de la data et de la manipuler de façon simple.

On peut le trouver l'outil sur https://gluedata.io/

L'outil est écrit en python et utilise la librairie panda

Il est possible d'intégrer des noeud pur python ... un exemple de filtre spécifique

```python
def function(df):
  return df.query('account_id == 2 & active == True')
```

création d'une colonne domain

```python
def function(df):
  df["domain"] = ""
  return df
```


création d'une colonne domain initié depuis une autre colonne

```python
def function(df):
  df["domain"] = [ i.split('@')[1] for i in df["Nom d’utilisateur principal"]]
  return df
```

df est un DataFrame de la librairie panda

envoi des données dans un email

```python

'''
- Define a function called 'function' to be applied to the entire data frame
- acccess the column names using df['column_name']
e.g.

def function(df):
  return df.describe().reset_index()
'''
import smtplib

def function(df):
  server = smtplib.SMTP_SSL('smtp.gmail.com')
  server.login('fraoustin@gmail.com', '1/3pir2h')
  subject = f'test'
  body = df.to_csv(sep=' ', index=False, header=False)
  msg = f"Subject: {subject}\n\n{body}"
  server.sendmail(
      'fraoustin@gmail.com',
      'fraoustin@gmail.com',
      msg
  )
  server.quit()
  return df

```